Package org.apache.cayenne.map

## Class Attribute

- java.lang.Object
- - org.apache.cayenne.map.Attribute

- All Implemented Interfaces:
    `Serializable`, `CayenneMapEntry`, `XMLSerializable`
  Direct Known Subclasses:
    `DbAttribute`, `ObjAttribute`

      public abstract class Attribute
      extends Object
      implements CayenneMapEntry, XMLSerializable, Serializable

  Defines a property descriptor that is a part of an Entity. Two examples of things that are described by attributes are Java class properties and database table columns.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Entity` | `entity` |
    `protected String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attribute()` | Creates an unnamed Attribute.
    `Attribute​(String name)` | Creates a named Attribute.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `encodeAsXML​(XMLEncoder encoder, ConfigurationNodeVisitor delegate)` | Prints itself as XML to the provided XMLEncoder.
    `Entity` | `getEntity()` | Returns parent entity that holds this attribute.
    `String` | `getName()` | Returns the name property of this object.
    `Object` | `getParent()` | Returns the parent map.
    `void` | `setEntity​(Entity entity)` | Sets parent entity that holds this attribute.
    `void` | `setName​(String name)` |
    `void` | `setParent​(Object parent)` | Stores the parent map.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### entity

          protected Entity entity

  - ### Constructor Detail

    - #### Attribute

          public Attribute()

      Creates an unnamed Attribute.

    - #### Attribute

          public Attribute​(String name)

      Creates a named Attribute.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### encodeAsXML

          public abstract void encodeAsXML​(XMLEncoder encoder,
                                           ConfigurationNodeVisitor delegate)

      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`

    - #### getEntity

          public Entity getEntity()

      Returns parent entity that holds this attribute.

    - #### setEntity

          public void setEntity​(Entity entity)

      Sets parent entity that holds this attribute.

    - #### getName

          public String getName()

      Description copied from interface: `CayenneMapEntry`
      Returns the name property of this object.
      Specified by:
        `getName` in interface `CayenneMapEntry`
      Returns:
        name of this entry.

    - #### setName

          public void setName​(String name)

    - #### getParent

          public Object getParent()

      Description copied from interface: `CayenneMapEntry`
      Returns the parent map.
      Specified by:
        `getParent` in interface `CayenneMapEntry`

    - #### setParent

          public void setParent​(Object parent)

      Description copied from interface: `CayenneMapEntry`
      Stores the parent map.
      Specified by:
        `setParent` in interface `CayenneMapEntry`